%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python34-pyserial
Version:        3.2.1
Release:        2%{?dist}
Summary:        Python 3.4 interface for accessing serial devices

Group:          Development/Languages
License:        Modified BSD
URL:            http://pyserial.readthedocs.io/
Source0:        pyserial-%{version}.tar.gz

BuildRequires:  python34-devel

%description
Python access to the serial port

%prep
%setup0 -q -n pyserial-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" /usr/bin/python3.4 setup.py build

%check
export PYTHONPATH=$RPM_BUILD_ROOT/usr/lib64/python3.4
make test PYTHON=/usr/bin/python3.4

%install
/usr/bin/python3.4 setup.py install -O1 --skip-build --root %{buildroot}
mv $RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT/usr/lib64
mv $RPM_BUILD_ROOT%{_bindir}/miniterm.py $RPM_BUILD_ROOT%{_bindir}/miniterm3.py

%files
%doc LICENSE.txt CHANGES.rst README.rst examples documentation test
/usr/lib64/python3.4/*
%{_bindir}/miniterm3.py

%changelog
* Mon Apr 22 2019 Fred Gleason <fredg@paravelsystems.com> - 3.2.1-2
- Removed inadvertent '/usr/bin/python' dependency.
* Fri Dec 21 2018 Fred Gleason <fredg@paravelsystems.com> - 3.2.1-1
- Initial RPM package
